% oblicza przebieg czasowy uk/ladu mechanicznego
% masa   m  zawieszona na spr/e/zynie
% t/lumienie     beta     jako zmienna globalna
% suwak (interfejs GUI)  s/lu/zy do ustawiania t/lumienia
format compact;
global beta t2  %NIE oddziela/c przecinkiem !!!
steps=0; beta=0.5      %beta=1.5
t0=0; t2=12;            % zadany przedzia/l
mechplot;
set(gcf,'MenuBar','none','Name',...
   'MASA DRGAJ/ACA; u/zyto Handle Graphics',...
   'NumberTitle','off');  %nadano tytu/l

Vslider = uicontrol('Style','slider');
        %  przygotowanie suwaka  (identyfikatorem jest Vslider)
   set(Vslider,'Units','normalized');
        % normalizowanie jednostek, zakres 0..1
   set(Vslider,'Position',[.94 .055 .035 .4]);
        % po/lo/zenie (x1, y1, szer,wysok)
   set(Vslider,'Callback','mechslid');
% wywo/lanie pliku mechslid.m  poprzez  callback
   set(Vslider,'Min',0,'Max',3);
        % dopuszczalny zakres zmian warto/sci nastawianej
   set(Vslider,'String', 't/lumienie')   %napis obok suwaka
   set(Vslider,'Value',beta) %inicjowanie po/lo/zenia suwaka

%  przygotowanie okienka dialogowego (identyfikatorem jest Vedit)
%  liczba w oknie informuje o aktualnym t/lumieniu 'beta'
Vedit = uicontrol('Style','edit');           
   set(Vedit,'Units','normalized');
   set(Vedit,'Position',[.94 .01 .05 .04]);  
   set(Vedit,'String',num2str(beta))     % inicjowanie wskazania
        % brak 'CallBack' - okienko s/lu/zy tylko do wy/swietlenia
rbutton = uicontrol('Style','radiobutton');
   set(rbutton ,'Units','normalized');
   set(rbutton ,'Position',[.9 .94 .1 .04]);
   set(rbutton ,'String', 'Stop','CallBack','close');

timMenu=uimenu(gcf, 'Label', 'Czas_symulacji');
  r0=uimenu(timMenu, 'Label','Tend=5' ,'CallBack','t2=5, mechplot');
       r1=uimenu(timMenu,...
'Label','Tend=10','CallBack','t2=10,mechplot','Separator','on');
        r2=uimenu(timMenu,...
'Label','Tend=15','CallBack','t2=15,mechplot','Separator','on');
        r3=uimenu(timMenu,...
'Label','Tend=20','CallBack','t2=20,mechplot','Separator','on');
        r4=uimenu(timMenu,...
'Label','Tend=50','CallBack','t2=50,mechplot','Separator','on');
stopmenu=uimenu(gcf, 'Label','STOP','CallBack','close');
