function stiff_test;  % stiff_test
clear
clf
%
t0=0; t2=3;        % zadany przedzia/l
x0= [1  -1];       % warunki pocz/atkowe dla t=0
options=odeset('AbsTol',1e-1,'stat','on');
tic,[t,x] = ode23(@ode1000, [t0, t2], x0, options);toc
subplot(1,3,1), plot(t,x)

pause(1) % START metody ode45
tic,[t,x] = ode45(@ode1000, [t0, t2], x0, options);toc
subplot(1,3,2), plot(t,x)

pause(1) % START metody ode23s
tic,[t,x] = ode23s(@ode1000, [t0, t2], x0, options);toc
subplot(1,3,3), plot(t,x)

function xdot=ode1000(t,x);
xdot=zeros(2,1);    % zerowy wektor dwuelementowy
xdot(1)=x(2);  xdot(2)=-1001*x(2) -1000*x(1);
